<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="@color/background_grey"
    tools:context=".activities.Login">
    <com.google.android.material.appbar.AppBarLayout
        android:id="@+id/appBarLayout"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent">
        <com.google.android.material.appbar.MaterialToolbar
            android:id="@+id/my_toolbar"
            style="@style/Widget.MaterialComponents.Toolbar.Primary"
            android:layout_width="match_parent"
            android:layout_height="?attr/actionBarSize"
            app:navigationIcon="@drawable/ic_logo"
            app:title="@string/app_name" />
    </com.google.android.material.appbar.AppBarLayout>

    <com.google.android.material.textfield.TextInputLayout
        android:id="@+id/input_username_layout"
        style="@style/LoginTextInputLayoutStyle"
        android:layout_width="240dp"
        android:layout_height="wrap_content"
        android:layout_marginBottom="16dp"
        android:colorControlNormal="@color/logo_blue"
        android:hint="@string/username"
        android:textColorHint="@color/logo_white"
        app:boxBackgroundColor="@color/common_google_signin_btn_text_dark_disabled"
        app:boxBackgroundMode="outline"
        app:layout_constraintBottom_toTopOf="@+id/input_password_layout"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintHorizontal_bias="0.497"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent"
        app:layout_constraintVertical_bias="0.49"
        app:layout_constraintVertical_chainStyle="packed">

        <com.google.android.material.textfield.TextInputEditText
            android:id="@+id/input_username"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:inputType="textPersonName"
            android:textAppearance="@style/text_style"
            android:textColor="@color/logo_white"
            android:textColorHint="@color/logo_white" />
    </com.google.android.material.textfield.TextInputLayout>

    <com.google.android.material.textfield.TextInputLayout
        android:id="@+id/input_password_layout"
        style="@style/LoginTextInputLayoutStyle"
        android:layout_width="240dp"
        android:layout_height="wrap_content"
        android:layout_marginTop="16dp"
        android:layout_marginBottom="32dp"
        android:hint="@string/password"
        android:inputType="textPassword"
        android:textColorHint="@color/logo_white"
        app:boxBackgroundColor="@color/common_google_signin_btn_text_dark_disabled"
        app:boxBackgroundMode="outline"
        app:layout_constraintBottom_toTopOf="@+id/button_login"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintHorizontal_bias="0.5"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@+id/input_username_layout"
        app:layout_constraintVertical_bias="0.13">

        <com.google.android.material.textfield.TextInputEditText
            android:id="@+id/input_password"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:inputType="textPassword"
            android:textAppearance="@style/text_style"
            android:textColor="@color/logo_white"
            android:textColorHint="@color/logo_white" />
</com.google.android.material.textfield.TextInputLayout>

    <Button
        android:id="@+id/button_login"
        style="@style/Widget.MaterialComponents.Button"
        android:layout_width="240dp"
        android:layout_height="55dp"
        android:layout_marginTop="32dp"
        android:layout_marginBottom="16dp"
        android:backgroundTint="@color/colorAccent"
        android:text="@string/login"
        android:textAppearance="@style/text_style"
        android:textStyle="bold"
        app:cornerRadius="8dp"
        app:layout_constraintBottom_toTopOf="@+id/button_register"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintHorizontal_bias="0.502"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@+id/input_password_layout" />

    <Button
        android:id="@+id/button_register"
        style="@style/Widget.MaterialComponents.Button"
        android:layout_width="240dp"
        android:layout_height="55dp"
        android:backgroundTint="@color/colorPrimaryDark"
        android:text="@string/register"
        android:textAppearance="@style/text_style"
        android:textStyle="bold"
        app:cornerRadius="8dp"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintHorizontal_bias="0.497"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@+id/button_login"
        app:layout_constraintVertical_bias="0.0" />

</androidx.constraintlayout.widget.ConstraintLayout>